## xsnap-1.5.15.tar.bz2

=== po/Makefile ===

#   Copyright
#
#       Copyright (C) 2000-2010 Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>
#
#   License
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 3 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program. If not, see <http://www.gnu.org/licenses/>.

CATALOGS="fr"
LOCALEDIR=/usr/share/locale

all:
	for cat in $(CATALOGS) ; do msgfmt -o $$cat.mo -v $$cat.po ; done

install:
	for cat in $(CATALOGS) ; \
	do \
		msgfmt -o $$cat.mo -v $$cat.po ; \
		mkdir -p $(DESTDIR)/$(LOCALEDIR)/$$cat/LC_MESSAGES; \
		cp -f $$cat.mo \
			$(DESTDIR)/$(LOCALEDIR)/$$cat/LC_MESSAGES/xsnap.mo ; \
	done
	

clean:
	rm -f core *~ *.mo
	
cleandir: clean

=== changelog ===
xsnap (1.5.15-1) unstable; urgency=low

  * New release by upstream maintainer

 -- Jean-Pierre Demailly <jean-pierre.demailly@ujf-grenoble.fr>  Sat, 19 Oct 2013 22:48:21 +0200

xsnap (1.5.8-1) unstable; urgency=low

  * New release by upstream maintainer

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Mon, 01 Nov 2010 19:01:12 +0200

xsnap (1.5.7-1) unstable; urgency=low

  * New release by upstream maintainer
  * Fixed a few bugs found by Jari Aalto <jari.aalto@cante.net>

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Sat, 30 Oct 2010 09:18:22 +0200

xsnap (1.5.6-1) unstable; urgency=low

  * New release by upstream maintainer
  * Fixed bug in whole window selection (calculated area size incorrect)

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Wed, 23 Sep 2009 09:18:22 +0200
	

xsnap (1.5.5-1) unstable; urgency=low

  * Disabled X error handler so as to avoid notification of irrelevant errors
  
  * Improved GUI responsiveness under newer X servers
  
 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Wed, 6 May 2009 23:18:22 +0200

xsnap (1.5.4-1) unstable; urgency=low

  * Various improvements related to OCR

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Thu, 26 Jul 2007 07:44:36 +0200

xsnap (1.5.2-1) unstable; urgency=low

  * New release by upstream maintainer : 
  * Build fixes - thanks to Gentoo packager Krzysiek Pawlik 
    <nelchael at gentoo.org>
  * Improved management of X events  

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Thu, 09 Nov 2006 17:16:36 +0200

xsnap (1.5.1) unstable; urgency=low

  * New release by upstream maintainer : Internalionalization !

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Wed, 08 Nov 2006 14:02:30 +0200

xsnap (1.5.0-1) unstable; urgency=low

  * New release by upstream maintainer : 
    improved GUI, clean-up of code towards more modularity

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Wed, 18 Oct 2006 11:04:35 +0200

xsnap (1.4.4-1) unstable; urgency=low

  * New release by upstream maintainer : minor bug fixes
  
 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Sun, 15 Oct 2006 16:06:50 +0200

xsnap (1.4rev1-1) unstable; urgency=low

  * Initial release. (RFP/ITP; Closes: #360722)

 -- Jari Aalto <jari.aalto@cante.net>  Tue,  4 Apr 2006 09:06:50 +0300

=== control ===
Source: xsnap
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 4.0.0), libx11-dev, x11proto-core-dev, libxpm-dev, libxft-dev, libjpeg62-dev, libpng12-dev
Standards-Version: 3.8.4

Package: xsnap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphical utility to take screen shots (uses X libs only)
 Xsnap is a program that allows one to interactively take a "snapshot"
 of a region of the screen in formats: xpm, jpg and png. This snapshot
 is then saved to a window. It can be used to compare window's "before
 and after" e.g. when debugging graphics code; quicker than using xwd
 and xwud when there's no other reason to save a window to a file.
 However, it uses some memory, because each snapshot is created using pixmap.

=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	xmkmf
	$(MAKE)
	#docbook-to-man debian/xsnap.sgml > xsnap.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/xsnap.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xsnap
	$(MAKE) install.man DESTDIR=$(CURDIR)/debian/xsnap	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
